=== .devcontainer/requirements.txt ===
aiobotocore==2.12.3
aiohttp==3.10.2
aioitertools==0.11.0
aiosignal==1.3.1
attrs==23.2.0
botocore==1.34.69
build==1.2.1
certifi==2024.7.4
charset-normalizer==3.3.2
cycler==0.12.1
flake8==7.0.0
fonttools==4.51.0
frozenlist==1.4.1
fsspec==2024.3.1
h5netcdf==1.3.0
h5py==3.11.0
h5pyd @ git+https://github.com/hdfgroup/h5pyd
idna==3.7
ipykernel==6.29.4
jmespath==1.0.1
kiwisolver==1.4.5
matplotlib==3.8.4
mccabe==0.7.0
multidict==6.0.5
numpy>=2.0.0rc1
packaging==24.0
pillow==10.3.0
pycodestyle==2.11.1
pyflakes==3.2.0
PyJWT==2.8.0
pyparsing==3.1.2
pyproject_hooks==1.0.0
python-dateutil==2.9.0.post0
pytz==2024.1
requests==2.32.0
requests-unixsocket==0.3.0
s3fs==2024.3.1
six==1.16.0
urllib3==2.2.2
wrapt==1.16.0
xarray==2024.5.0
yarl==1.9.4
